ApiVolumes
GET /v1/volumes
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
before?string
include_temporary?boolean
include_legacy?boolean
Response Body
application/json
curl -X GET "https://example.com/v1/volumes"{ "volumes": [ { "id": "string", "name": "string", "kind": "volume", "temporary": true, "head_commit_id": "string", "size_limit_bytes": 0, "logical_bytes": 0, "unique_bytes": 0, "file_count": 0, "region": "string", "forked_from": { "volume_id": "string", "commit_id": "string" }, "created_at": "string", "updated_at": "string", "last_commit_at": "string", "live_mounts": 0 } ], "next_cursor": "string", "legacy_volumes": [ { "id": "string", "name": "string", "legacy": true, "read_only": true, "engine": "string", "size_limit_bytes": 0, "state": "string", "retired": true, "created_at": "string" } ]}Empty